## libgnumail-java 1.1.2

=== test/Makefile ===
# Test makefile.
empty:=
space:=$(empty) $(empty)

# Set by configure.
PROJECTROOT = .
JAVA = jamvm
JAVAC = javac
JAVAC_OPTS = 
JAR = jar
CLASSPATH = /gnu/share/classpath/glibj.zip

prefix = /gnu/share/java
extra = /gnu/share/java

OPTIONS = -Dmail.pop3.apop=false -Dmail.debug=true -Djavax.net.debug=true \
-Dmail.smtp.host=bluezoo.org -Dmail.smtp.auth=required \
-Djava.util.logging.config.file=logging.properties

all: test

test_sourcedir=$(PROJECTROOT)/src
test_sourcefiles=$(shell find $(test_sourcedir) -name "*.java" -print)
test_classpath=$(prefix)/gnumail.jar $(prefix)/gnumail-providers.jar \
$(prefix)/activation.jar $(prefix)/inetlib.jar \
$(extra)/junit.jar
#$(prefix)/jsse.jar $(prefix)/jessie.jar \
#$(prefix)/javax-security.jar $(prefix)/gnu-crypto.jar \
#$(prefix)/javax-crypto.jar
test_classesdest=$(PROJECTROOT)/classes
test_otherfiles=
test_debugclasses=$(test_sourcefiles:.java=.class)
test_classfiles=$(test_debugclasses:$(test_sourcedir)%=$(test_classesdest)%)

test: test-init $(test_classfiles) test-compilation $(test_otherfiles) $(test_manifest)
	$(JAVA) -cp $(call PATHMK,$(CLASSPATH) $(call PATHMK,$(test_classesdest) $(call PATHMK,$(test_classpath)))) $(OPTIONS) AllTests

.PHONY: test-init test-compilation

test-init:
	echo > filelist

test-compilation: $(test_classesdest)
	$(if $(shell cat filelist),$(JAVAC) $(JAVAC_OPTS) -d $(test_classesdest) -classpath $(call PATHMK,$(test_classesdest) $(call PATHMK,$(test_classpath))) @filelist)

$(test_classesdest):
	mkdir $@

$(test_classesdest)/%.class: $(test_sourcedir)/%.java
	@echo $? >> filelist

echo_test:
	@echo sourcedir = $(test_sourcedir)
	@echo sourcefiles = $(test_sourcefiles)
	@echo classpath = $(call PATHMK,$(test_classpath))
	@echo classesdest = $(test_classesdest)
	@echo classfiles = $(test_classfiles)

ifeq (${OS},Windows_NT)
PATHMK = $(subst $(space),;,$(1))
else
PATHMK = $(subst $(space),:,$(1))
endif
# Ensure everything generated is cleaned.
# We could probably do with automake for this.
clean:
	-rm -rf $(PROJECTROOT)/classes filelist

distclean: clean
	-rm -rf Makefile Makefile.in config.*

mrproper: distclean
	-rm -rf configure  

# End Makefile.

=== debian/changelog ===
libgnumail-java (1.1.2-10ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/p/add-osgi-metadata.patch: Drop requirement for javax.activiation,
      fixing FTBFS in eclipse-* packages.
    - Don't use bnd to generate OSGi metadata.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Mar 2016 17:18:03 +0000

libgnumail-java (1.1.2-10) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0. Fix obsolete bnd parameter syntax in
    debian/rules.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@debian.org>  Tue, 17 Nov 2015 17:20:05 +0100

libgnumail-java (1.1.2-9ubuntu3) trusty; urgency=medium

  * d/p/add-osgi-metadata.patch: Drop requirement for javax.activiation,
    fixing FTBFS in eclipse-* packages.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Mar 2014 09:34:49 +0000

libgnumail-java (1.1.2-9ubuntu2) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't use bnd to generate OSGi metadata.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2014 13:57:10 +0100

libgnumail-java (1.1.2-9) unstable; urgency=low

  * Team upload.
  * Removed the obsolete dependency on libgnujaf-java
  * debian/rules: Improved the clean target to allow rebuilds

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 15 May 2013 01:21:02 +0200

libgnumail-java (1.1.2-8ubuntu1) raring; urgency=low

  * Revert, because we don't want to have it in main. LP: #1126567.
    - Use bnd to generate OSGi metadata.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Feb 2013 11:32:23 +0100

libgnumail-java (1.1.2-8) unstable; urgency=low

  [ Jakub Adam ]
  * Use bnd to generate OSGi metadata.
  * Bumped Standards-Version to 3.9.4.

  [ Niels Thykier ]
  * Use the canonical URLs in the Vcs-* fields.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Tue, 05 Feb 2013 14:45:47 +0100

libgnumail-java (1.1.2-7) unstable; urgency=low

  * Removed Michael Koch from Uploaders (Closes: #654066).
  * Publish maven artifacts for gnumail.
  * Bumped Standards-Version to 3.9.3.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 24 Feb 2012 23:27:11 +0100

libgnumail-java (1.1.2-6) unstable; urgency=low

  [ Jakub Adam ]
  * Add OSGi metadata to jar manifest
  * Bumped Standards-Version to 3.9.2
  * Bumped debhelper compat to 8
  * Updated the DEP-5 copyright to r202

  [ Niels Thykier ]
  * Updated javadoc linking and relations to reflect that the
    API doc for libgnujaf-java is now in a separate package.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sun, 16 Oct 2011 11:58:21 +0200

libgnumail-java (1.1.2-5) unstable; urgency=low

  * Team Upload.
  * Fixed typo in the changelog.
  * Removed unused linda overrides.
  * Bumped debhelper compat to 7.
  * Removed Arnaud Vandyck and Paul Cager from uploaders. Thank you
    for your work on this package.
  * Bumped Standards-Versions to 3.8.4 - no changes required.
  * Replaced classpath-doc dependency with default-jdk-doc and reduced
    it to a recommends.
  * Converted source format to 3.0 (quilt).
  * Removed reference to xalan2.jar in the build, it was not used.
  * Linked the javadoc against system installed javadocs.

 -- Niels Thykier <niels@thykier.net>  Sun, 20 Jun 2010 21:11:15 +0200

libgnumail-java (1.1.2-4) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/rules
    - Remove ANT_HOME, unnecessary files in DEB_JARS.
    - Use DEB_UPSTREAM_VERSION for retrieving version.
    - Move source version option to DEB_ANT_ARGS.
    - Only delete jar files in clean target. Rest is handles by clean target
      in build.xml.
  * debian/patches/01_fix_classpath.patch
    - Add appropriate jar files in classpath using manifest attribute.
  * debian/control
    - Change standards version to 3.8.3.

 -- Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>  Thu, 19 Nov 2009 19:41:30 +0530

libgnumail-java (1.1.2-3) unstable; urgency=low

  [ Matthias Klose ]
  * (Build-)depend on default-jre/-jdk.
  * Set java source version to 1.4.

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Add missing Depends: ${misc:Depends}.
  * Add Vcs-* and Homepage headers.
  * Update Standards-Version: 3.8.2.
  * Refer to GPL-2 in debian/copyright.
  * Fix Description api -> API.
  * Change Section: java.
  * Update lintian overrides.

 -- Torsten Werner <twerner@debian.org>  Tue, 04 Aug 2009 22:48:48 +0200

libgnumail-java (1.1.2-2) unstable; urgency=low

  * Added debian/patches/gnumail-imaps.patch to add imaps provider.
    Closes: #429865.

 -- Michael Koch <konqueror@gmx.de>  Wed, 27 Jun 2007 19:58:23 +0200

libgnumail-java (1.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #420825, #422991).
  * Added lintian / linda overrides for out-of-date configure
    files (not used in our build).
  * Converted to cdbs (de-facto project standard).
  * Changed watch file to prevent false positive with an upstream
    date-stamped file.
  * Changed to debhelper compat 5.
  * Added myself to Uploaders.

 -- Paul Cager <paul-debian@home.paulcager.org>  Thu, 17 May 2007 21:55:35 +0100

libgnumail-java (1.1.1-3) experimental; urgency=low

  * Uploaded to experimental.
  * Build with java-gcj-compat-dev.
  * Added java-gcj-compat-dev to Build-Depends-Indep.
  * Added java-gcj-compat to Depends.
  * Moved debhelper to Build-Depends.
  * Added myself to Uploaders and removed Wolfgang Baer.
  * Updated Standards-Version to 3.7.2.

 -- Michael Koch <konqueror@gmx.de>  Thu,  8 Feb 2007 18:21:27 +0100

libgnumail-java (1.1.1-2) unstable; urgency=low

  * kaffe compiler transition
  
 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 11:17:32 +0100

libgnumail-java (1.1.1-1) unstable; urgency=low

  * New upstream release
    + no longer ships libmail.so (closes: #313281)
    + README files are updated (closes: #291891)
    + Builds clean against libgnuinet-java (1.1.1-1) (closes: #326867)
    + No longer inconsistent results in InternetAddress (closes: #295114)


=== debian/control ===
Source: libgnumail-java
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
 Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends:
 ant,
 cdbs (>= 0.4.5.3),
 debhelper (>= 9),
 maven-repo-helper
Build-Depends-Indep:
 default-jdk,
 default-jdk-doc,
 libgnuinet-java
Standards-Version: 3.9.6
Homepage: http://savannah.gnu.org/projects/classpathx
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libgnumail-java/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/libgnumail-java/

Package: libgnumail-java
Architecture: all
Depends:
 libgnuinet-java,
 ${misc:Depends}
Suggests:
 libgnumail-java-doc
Description: free implementation of the javamail API
 The javamail API provides abstract classes that model a mail
 system. With the GNU free implementation of the javamail API, you can
 send and read messages using SMTP, IMAP4, POP3, mbox, Maildir and
 NNTP

Package: libgnumail-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 default-jdk-doc,
 libgnuinet-java
Suggests:
 libgnumail-java
Description: free implementation of the javamail API (Javadocs)
 The javamail API provides abstract classes that model a mail
 system. With the GNU free implementation of the javamail API, you can
 send and read messages using SMTP, IMAP4, POP3, mbox, Maildir and
 NNTP.
 .
 This package provides the documentation for libgnumail-java

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

PACKAGE              := $(shell dpkg-parsechangelog | egrep '^Source:' | cut -f2 -d' ')
VERSION              := $(DEB_UPSTREAM_VERSION)
JAVA_HOME            := /usr/lib/jvm/default-java
DEB_JARS             := ant-trax inetlib
DEB_ANT_BUILD_TARGET := dist javadoc
DEB_ANT_ARGS         := -Dpackage=$(PACKAGE) -Dversion=$(VERSION) \
                        -Dgnumail.jar=gnumail-$(VERSION).jar -Dproviders.jar=gnumail-providers-$(VERSION).jar \
			-Ddoc=api -Dant.build.javac.source=1.4
API_DOCS             := api

install/$(PACKAGE)::
	mh_installpom -p$(PACKAGE) debian/gnumail.pom
	mh_installjar -p$(PACKAGE) --java-lib debian/gnumail.pom gnumail-$(VERSION).jar
	dh_install -p$(PACKAGE) ./gnumail-providers-$(VERSION).jar usr/share/java
	dh_link -p$(PACKAGE) usr/share/java/gnumail-providers-$(VERSION).jar usr/share/java/gnumail-providers.jar
	dh_installchangelogs ChangeLog

install/$(PACKAGE)-doc::
	dh_install -p$(PACKAGE)-doc $(API_DOCS) usr/share/doc/$(PACKAGE)

clean::
	find . -name '*.jar' -delete
	mh_clean

=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/classpathx/mail-(.*\..*)\.tar\.gz debian uupdate
# Literal "." in above to avoid match with mail-20040420.tar.gz
